Loading...
Searching...
No Matches
XrdVomsTrace.hh File Reference
`#include "XrdSys/XrdSysLogger.hh"`
Include dependency graph for XrdVomsTrace.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | DEBUG(y)
#define | EPNAME(x)
#define | PRINT(y)

## Macro Definition Documentation

## DEBUG

#define DEBUG | ( |  | y | ) |

Value:
if (gDebug > 1) {PRINT(y)}
PRINT
#define PRINT(y)
Definition XrdCryptosslTrace.hh:39

Definition at line 38 of file XrdVomsTrace.hh.

## EPNAME

#define EPNAME | ( |  | x | ) |

Value:
static const char *epname = x;

Definition at line 39 of file XrdVomsTrace.hh.

## PRINT

#define PRINT | ( |  | y | ) |

Value:
if (gDebug) {std::cerr <<gLogger->traceBeg() <<" XrdVoms"\
<<epname <<": " <<y <<'\n' << std::flush;\
gLogger->traceEnd();}

Definition at line 35 of file XrdVomsTrace.hh.

#define PRINT(y) if (gDebug) {std::cerr <<gLogger->traceBeg() <<" XrdVoms"\
<<epname <<": " <<y <<'\n' << std::flush;\
gLogger->traceEnd();}